Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors
Class ReturningPolicy

`java.lang.Object
oracle.toplink.descriptors.ReturningPolicy`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ReturningPolicy
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Purpose: Allows for INSERT or UPDATE operations to return values back into the object being written. This allows for table default values, trigger or stored procedures computed values to be set back into the object. This can be used with generated SQL on the Oracle platform using the RETURNING clause, or through stored procedures on other platforms.

Since:
  TopLink 10.1.3
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ReturningPolicy.Info`

Constructor Summary
`ReturningPolicy()`

Method Summary
`void` | `addFieldForInsert(java.lang.String qualifiedName)`
`void` | `addFieldForInsert(java.lang.String qualifiedName, java.lang.Class type)`
`void` | `addFieldForInsertReturnOnly(java.lang.String qualifiedName)`
`void` | `addFieldForInsertReturnOnly(java.lang.String qualifiedName, java.lang.Class type)`
`void` | `addFieldForUpdate(java.lang.String qualifiedName)`
`void` | `addFieldForUpdate(java.lang.String qualifiedName, java.lang.Class type)`
`static boolean` | `areCollectionsEqualAsSets(java.util.Collection col1, java.util.Collection col2)`
`java.lang.Object` | `clone()`
`ClassDescriptor` | `getClassDescriptor()` PUBLIC: Return the owner of the policy.
`DatabaseField` | `getField(DatabaseField field)`
`java.util.Vector` | `getFieldInfos()`
`java.util.Vector` | `getFieldsToGenerateInsert(DatabaseTable table)`
`java.util.Vector` | `getFieldsToGenerateUpdate(DatabaseTable table)`
`java.util.Collection` | `getFieldsToMergeInsert()`
`java.util.Collection` | `getFieldsToMergeUpdate()`
`boolean` | `hasEqualFieldInfos(ReturningPolicy returningPolicyToCompare)`
`boolean` | `hasEqualFieldInfos(java.util.Vector infosToCompare)`
`boolean` | `hasEqualMains(ReturningPolicy policy)`
`void` | `initialize(Session session)`
`boolean` | `isUsedToSetPrimaryKey()`
`void` | `setDescriptor(Descriptor descriptor)`
`void` | `setFieldInfos(java.util.Vector infos)`
`void` | `trimModifyRowForInsert(DatabaseRow modifyRow)`
`void` | `validationAfterDescriptorInitialization(Session session)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReturningPolicy

    public ReturningPolicy()

Method Detail

### getClassDescriptor

    public ClassDescriptor getClassDescriptor()

  PUBLIC: Return the owner of the policy.

### getFieldsToGenerateInsert

    public java.util.Vector getFieldsToGenerateInsert(DatabaseTable table)

### getFieldsToGenerateUpdate

    public java.util.Vector getFieldsToGenerateUpdate(DatabaseTable table)

### getFieldInfos

    public java.util.Vector getFieldInfos()

### setFieldInfos

    public void setFieldInfos(java.util.Vector infos)

### hasEqualFieldInfos

    public boolean hasEqualFieldInfos(ReturningPolicy returningPolicyToCompare)

### hasEqualFieldInfos

    public boolean hasEqualFieldInfos(java.util.Vector infosToCompare)

### areCollectionsEqualAsSets

    public static boolean areCollectionsEqualAsSets(java.util.Collection col1,
                                                    java.util.Collection col2)

### getFieldsToMergeInsert

    public java.util.Collection getFieldsToMergeInsert()

### getFieldsToMergeUpdate

    public java.util.Collection getFieldsToMergeUpdate()

### clone

    public java.lang.Object clone()

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

### addFieldForInsert

    public void addFieldForInsert(java.lang.String qualifiedName)

### addFieldForInsert

    public void addFieldForInsert(java.lang.String qualifiedName,
                                  java.lang.Class type)

### addFieldForInsertReturnOnly

    public void addFieldForInsertReturnOnly(java.lang.String qualifiedName)

### addFieldForInsertReturnOnly

    public void addFieldForInsertReturnOnly(java.lang.String qualifiedName,
                                            java.lang.Class type)

### addFieldForUpdate

    public void addFieldForUpdate(java.lang.String qualifiedName)

### addFieldForUpdate

    public void addFieldForUpdate(java.lang.String qualifiedName,
                                  java.lang.Class type)

### initialize

    public void initialize(Session session)

### hasEqualMains

    public boolean hasEqualMains(ReturningPolicy policy)

### trimModifyRowForInsert

    public void trimModifyRowForInsert(DatabaseRow modifyRow)

### isUsedToSetPrimaryKey

    public boolean isUsedToSetPrimaryKey()

### validationAfterDescriptorInitialization

    public void validationAfterDescriptorInitialization(Session session)

### getField

    public DatabaseField getField(DatabaseField field)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD